Ask Your Question
0

unsupported classe version error in opencv 2.4.4

asked 2013-03-04 04:37:22 -0500

fferrieu gravatar image

public class Main { public static void main(String[] args) {

    System.loadLibrary(org.opencv.core.Core.NATIVE_LIBRARY_NAME);
   System.out.println( "Wellcome to "+ Core.VERSION);
   int n=CvType.CV_32F;
   Mat m   = Mat.eye(4, 4, CvType.CV_32F);
   System.out.println("m = " + m.dump());
}

I get Wellcome to 2.4.4.0 Wellcome to 2.4.4.0 Exception in thread "main" java.lang.UnsupportedClassVersionError: org/opencv/core/Mat : Unsupported major.minor version 51.0 from line 11 which is the Mat m declaration why? thanks again for help regards Frederic

edit retag flag offensive close merge delete

2 answers

Sort by ยป oldest newest most voted
0

answered 2013-03-04 05:10:52 -0500

Daniil Osokin gravatar image

I've pasted your code, and everything works fine. Did you try the tutorial?

edit flag offensive delete link more
0

answered 2013-04-04 19:52:11 -0500

I think that you use newer version to build opencv java, but use older JDK to develop. To use latest JDK may help.

edit flag offensive delete link more
Login/Signup to Answer

Question Tools

Stats

Asked: 2013-03-04 04:37:22 -0500

Seen: 1,316 times

Last updated: Apr 04 '13